---
title: VRdisplay.isConnected
slug: Web/API/VRDisplay/isConnected
tags:
  - API
  - Deprecated
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - isConnected
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>isConnected</strong></code> read-only property of the {{domxref("VRDisplay")}} interface returns a {{domxref("Boolean")}} indicating whether the <code>VRDisplay</code> is connected to the computer.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var isItConnected = vrDisplayInstance.isConnected;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}; <code>true</code> means the display is connected; <code>false</code> means it isn't.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">navigator.getVRDisplays().then(function(displays) {
  // If a display is available, use it to present the scene
  if(displays.length &gt; 0) {
    vrDisplay = displays[0];

    // Starting the presentation when the button is clicked: It can only be called in response to a user gesture
    btn.addEventListener('click', function() {
      // Only request presentation if the display is still connected.
      if(vrDisplay.isConnected) {
        vrDisplay.requestPresent([{ source: canvas }]).then(function() {
          // start rendering the app, etc.
        });
      } else {
        console.log('Connection to display lost');
      }
    });
  }
});  </pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-isconnected', 'isConnected')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.isConnected")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
